Skip to main content
POST
/
api
/
v2
/
external
/
environment-variables
Upsert Environment Variables
curl --request POST \
  --url https://api.lyceum.technology/api/v2/external/environment-variables \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "environment_variables": [
    {
      "name": "<string>",
      "value": "<string>"
    }
  ]
}
'
{
  "environment_variables": [
    {
      "id": "<string>",
      "name": "<string>",
      "value": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "is_sensitive": true
    }
  ]
}

Authorizations

Authorization
string
header
required

Pass an API key (prefixed lk_) or a JWT access token as a bearer token. Generate API keys in the dashboard at https://dashboard.lyceum.technology/api-keys.

Body

application/json
environment_variables
EnvironmentVariableCreate · object[]
required

List of environment variables to create or update

Minimum array length: 1

Response

Successful Response

environment_variables
EnvironmentVariableResponse · object[]
required